Loading...
Searching...
No Matches
cpe_reference Struct Reference
CPE » CPE Dictionary

CPE dictionary item reference. More...

`#include <cpe_dict.h>`

## Public Member Functions

OSCAP_API void | cpe_reference_free (struct cpe_reference *ref)
OSCAP_API struct cpe_reference * | cpe_reference_new (void)
Getters
Return value is pointer to structure's member. Do not free unless you null the pointer in the structure. Use remove function otherwise.
OSCAP_API const char * | cpe_reference_get_href (const struct cpe_reference *item)
| cpe_reference functions to get href of reference
OSCAP_API const char * | cpe_reference_get_content (const struct cpe_reference *item)
| cpe_reference functions to get content of reference
Setters
For lists use add functions. Parameters of set functions are duplicated in memory and need to be freed by caller.
OSCAP_API bool | cpe_reference_set_href (struct cpe_reference *reference, const char *new_href)
OSCAP_API bool | cpe_reference_set_content (struct cpe_reference *reference, const char *new_content)

## Data Fields

char * | href
char * | content

## Detailed Description

CPE dictionary item reference.

The documentation for this struct was generated from the following files:

- cpedict_priv.c
- cpe_dict.h